HTTP API

ECS Coordinator

GET/api/v1/ecs/{index}/coordinator
GET
/api/v1/ecs/{index}/coordinator

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/ecs/string/coordinator"
{  "connected_systems": 0,  "index": "string",  "last_tick_at": "string",  "running": true,  "tick": 0,  "tick_rate_ms": 0}
POST/api/v1/ecs/{index}/coordinator/mutations
POST
/api/v1/ecs/{index}/coordinator/mutations

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/ecs/string/coordinator/mutations" \  -H "Content-Type: application/json" \  -d '{    "mutations": [      {        "entity_id": "string"      }    ]  }'
{  "failed": 0,  "results": [    {      "entity_id": "string",      "error": "string",      "new_version": 0,      "success": true    }  ],  "succeeded": 0}
POST/api/v1/ecs/{index}/coordinator/start
POST
/api/v1/ecs/{index}/coordinator/start

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/ecs/string/coordinator/start" \  -H "Content-Type: application/json" \  -d '{}'
{  "connected_systems": 0,  "index": "string",  "last_tick_at": "string",  "running": true,  "tick": 0,  "tick_rate_ms": 0}
POST/api/v1/ecs/{index}/coordinator/stop
POST
/api/v1/ecs/{index}/coordinator/stop

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Response Body

application/json

curl -X POST "https://example.com/api/v1/ecs/string/coordinator/stop"
{  "connected_systems": 0,  "index": "string",  "last_tick_at": "string",  "running": true,  "tick": 0,  "tick_rate_ms": 0}
GET/api/v1/ecs/{index}/coordinator/ws
GET
/api/v1/ecs/{index}/coordinator/ws

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

ECS index/namespace

Query Parameters

token?string

JWT token (alternative to Authorization header)

Response Body

curl -X GET "https://example.com/api/v1/ecs/string/coordinator/ws"
Empty

On this page